Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools S/MIME Java API Reference 10g Release 3 (10.1.3) B25379-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.smime
Interface SmimeObject

All Known Subinterfaces:
  SmimeSignedObject

All Known Implementing Classes:
  SmimeCompressed, SmimeEnveloped, SmimeMultipartSigned, SmimeSigned, SmimeSignedReceipt

public interface SmimeObject

An interface that represents a S/MIME Object.

Method Summary
`java.lang.String` | `generateContentType()` Returns the content type of this smime object.
`java.lang.String` | `generateContentType(boolean useStandardContentTypes)` Returns the content type of this smime object.
`void` | `writeTo(java.io.OutputStream os, java.lang.String mimeType)` Output this object to the specified output stream.

Method Detail

### generateContentType

    public java.lang.String generateContentType(boolean useStandardContentTypes)

  Returns the content type of this smime object.
  Parameters:
    `useStandardContentTypes` - If `true` the standard content type is generated; If `false` the experimental content type is generated.
  Returns:
    The content type string.

### generateContentType

    public java.lang.String generateContentType()

  Returns the content type of this smime object.
  Returns:
    The content type string.

### writeTo

    public void writeTo(java.io.OutputStream os,
                        java.lang.String mimeType)
                 throws java.io.IOException,
                        javax.mail.MessagingException

  Output this object to the specified output stream.
  Parameters:
    `os` - The output stream.
    `mimeType` - The mime-type of the smime object.
  Throws:
    `java.io.IOException` - An I/O error occurred.
    `javax.mail.MessagingException` - An error occurred while writing the smime message.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools S/MIME Java API Reference 10g Release 3 (10.1.3) B25379-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.